# frozen_string_literal: true

Gem::Specification.new do |spec|
  spec.name          = "aoc-helper"
  spec.platform      = Gem::Platform::RUBY
  spec.version       = "0.1.0"
  spec.authors       = ["Guido Schweizer"]
  spec.email         = ["guido.schweizer@posteo.de"]
  spec.description   = %q{helps to create basic folders for aoc}
  spec.summary       = %q{run aoc and follow instructions}
  spec.homepage      = "https://aoc.sgui.de"
  spec.license       = "MIT"

  spec.metadata["allowed_push_host"] = "https://rubygems.org"
  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/guidocodes/aoc-helper"

  spec.files         = Dir.glob("lib/**/*", File::FNM_DOTMATCH)
  spec.extra_rdoc_files = ["readme.md", "license.txt"]
  spec.bindir        = "exe"
  spec.executables   = ["aoc"]
  spec.require_paths = ["lib"]
  spec.required_ruby_version = ">= 3.0.0"

  spec.add_dependency "tty-file", "~> 0.10"
  spec.add_dependency "tty-prompt", "~> 0.23"
end